pip安装找不到通过pip搜索广告的最新版本

问题描述 投票:1回答:1

[尝试通过pip install在我的ubuntu 16.04上安装最新版本的熊猫

如果我没看错此命令的结果:

python3 -m pip search pandas

...
pandas (0.25.3)                     - Powerful data structures for data analysis, time series, and statistics
  INSTALLED: 0.24.2
  LATEST:    0.25.3
...

我应该能够安装该软件包的0.25.3版本。

我尝试过

  • pip install --upgrade pandas --user,告诉我我已经拥有最新版本
  • pip install --upgrade --upgrade-strategy eager pandas --user,安装了最新版本的依赖项,但熊猫仍为0.24.2
  • python3 -m pip install pandas==0.25.3 --user告诉我找不到特定的版本,并向我提供了很长的可用版本列表,确实在0.24.2版本处停止]]
  • 我误解了吗?

感谢您的帮助

尝试通过pip install在我的ubuntu 16.04上安装最新版本的熊猫如果我对以下命令的结果了解得很好:python3 -m pip search pandas ... pandas(0.25.3)...

pip
1个回答
1
投票
如果您正在使用Ubuntu 16.04(3.5.1)默认提供的最新Python 3,则根据release notes,它与0.25.x版本的熊猫不兼容。您可以看到一些相关的讨论here
热门问题
推荐问题
最新问题